Create Product Variant Option
Creates a Variant Option.
Required Fields
- display_name
- type
- option_values
Read-Only Fields
- id
Limits
- 255 characters option name length.
Notes
- Only one variant option at a time can be created; individual variant options will contain an array of multiple values.
- There are several examples listed below that create options, but the SKUs are not updated and they are not a variant on the product. Variant SKUs must be created with a separate request.
- Variant options will show on the storefront as an option that can be selected by the customer. A request like this could be used to add new choices to a variant that has already been created.
- If more than one variant needs to be created, use the Create a Product endpoint.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
The ID of the Product to which the resource belongs.
Headers
The MIME type of the response body.
Request
The type of option, which determines how it will display on the storefront. Acceptable values: radio_buttons, rectangles, dropdown, product_list, product_list_with_images, swatch. For reference, the former v2 API values are: RB = radio_buttons, RT = rectangles, S = dropdown, P = product_list, PI = product_list_with_images, CS = swatch.
Response
Empty meta object; may be used later.